////////////////////////////////////////////////////////////////////
//
//		CLASS : StopAppWin
//		=================
//     the window is used for showing an attempt stopping a running 
//     application.
//
//     Last_Modified: On 8/5/98,
//		use one window for showing the attempt info and use one 
//		Thread for waiting for the response from stopAppServ	
//		parameter is current application and the servlet's URL. 
////////////////////////////////////////////////////////////////////

import java.awt.*;
import java.applet.*;
import java.io.*;
import java.net.*;
import java.util.*;

class StopAppWin extends Frame { 
  private int vwWidth = 300, vwHeight = 200;
  private String str = "Stopping current Application...";
  private StopApp stopapp = null;
  Label prompt;
  Button close;

  public StopAppWin(vdceapp appl, URL url) {
    super();
    setTitle("Message Window");
    setLayout(new BorderLayout());
    prompt = new Label(str, Label.CENTER);
    add("Center", prompt);
    Panel p = new Panel();
    add("South", p);
    close = new Button("CLOSE");
    close.disable();
    p.add(close);

    resize(vwWidth, vwHeight);
    show();
    stopapp = new StopApp(appl, this, url);
    stopapp.start();
  }

  public boolean action(Event evt, Object obj) {
     if (evt.target instanceof Button) {
         if ("CLOSE".equals(obj)) {
             System.out.println("CLOSE");
	     dispose();
             return true;
          }
	 return false;
      }
     return false;
  }
}

